<template>
    <div>
        <ConsultantList
            :agents="pageList"
            :title="'consultantList'"
        ></ConsultantList>

        <UiPagination
            :totalList="consultantList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator';
import { Consultant } from '~/shared/models/consultant.model';


@Component
export default class ConsultantPage extends Vue {
    @Prop() consultantList!: Consultant[];
    pageList: Consultant[] = [];

    changePage(pageList: Consultant[]) {
        this.pageList = pageList;
    }

}
</script>
